# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="
Gnome-shell extension disabling hotcorners
"
COMMIT="d92406f13d87a82c960d177c21619c1b0f8e2c8c"
HOMEPAGE="https://github.com/HROMANO/nohotcorner"
SRC_URI="https://github.com/HROMANO/nohotcorner/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64"

RDEPEND="
	>=gnome-base/gnome-shell-3.8"
DEPEND="${RDEPEND}"

S="$WORKDIR/${PN}-${COMMIT}"

GNOME_EXT_UUID="${PN}@azuri.free.fr"

src_install() {
	insinto "/usr/share/gnome-shell/extensions/${GNOME_EXT_UUID}"
	doins "extension.js" "metadata.json"
}
